package top.continew.admin.business.model.query;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 团队邀请配置
 * </p>
 *
 * @author xudm
 * @since 2024-12-16
 */
@Getter
@Setter
@Schema(description = "团队邀请配置查询参数")
public class TeamInviteConfigQuery {

    @Schema(description = "页码")
    private int page;

    @Schema(description = "页大小")
    private int size;
}
