package top.continew.admin.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import top.continew.admin.business.model.entity.CoinSpeedUpgradesRules;
import top.continew.admin.business.model.query.CoinSpeedUpgradesRulesQuery;
import top.continew.admin.business.model.req.CoinSpeedUpgradesRulesReq;
import top.continew.starter.extension.crud.model.resp.BasePageResp;

/**
 * <p>
 * 金币产出速率升级规则 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-15
 */
public interface ICoinSpeedUpgradesRulesService extends IService<CoinSpeedUpgradesRules> {

    Long addCoinSpeedUpgradesRules(CoinSpeedUpgradesRulesReq req);

    void updateCoinSpeedUpgradesRules(Long id, CoinSpeedUpgradesRulesReq req);

    BasePageResp<CoinSpeedUpgradesRules> getCoinSpeedUpgradesRulesPage(CoinSpeedUpgradesRulesQuery query);

}
