package top.continew.admin.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import top.continew.admin.business.model.entity.InviteRewardsRule;
import top.continew.admin.business.model.entity.TaskInfo;
import top.continew.admin.business.model.query.TaskInfoQuery;
import top.continew.admin.business.model.req.TaskInfoReq;
import top.continew.starter.extension.crud.model.resp.BasePageResp;

/**
 * <p>
 * 任务信息表 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-15
 */
public interface ITaskInfoService extends IService<TaskInfo> {

    BasePageResp<TaskInfo> getTaskInfoPage(TaskInfoQuery query);

    void updatetaskInfo(Long id, TaskInfoReq req);

    Long addTaskInfo(TaskInfoReq req);
}
